package org.wcs.business.data.intf;

import org.wcs.plugin.plc.model.SiemensDBAddress;

import java.util.List;

/**
 * 数据加载接口
 */
public interface IDataLoader {

    /**
     * 加载 DB 地址 ---- 总方法
     */
    void loadDBAddress();

    /**
     *  清除 DB 地址缓存
     */
    void clearDBAddressRedis();

    /**
     *  加载堆垛机 DB 地址
     */
    void loadStackerDBAddress();

    /**
     *  加载堆垛机站台 DB 地址
     */
    void loadStackerStandDBAddress();

    /**
     *  加载托盘传送 DB 地址
     */
    void loadTrayConveyDBAddress();

    /**
     *  加载输送 DB 地址
     */
    void loadConveyDBAddress();

    /**
     *  加载DB数据库表地址
     */
    void loadDbTableAddress();

    /**
     *  加载扫描 DB 地址
     */
    void loadScannerDBAddress();

    /**
     *  加载 API KEY
     */
    void loadApiKey();


}
